package com.qmth.distributed.print.business.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.qmth.teachcloud.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * 专业认证毕业要求支撑矩阵
 * </p>
 *
 * @author xf
 * @since 2024-04-22
 */
@TableName("t_p_matrix")
@ApiModel(value = "TPMatrix对象", description = "专业认证毕业要求支撑矩阵")
public class TPMatrix extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "专业ID")
    private Long professionalId;

    @ApiModelProperty(value = "专业认证课程ID")
    private Long courseId;

    @ApiModelProperty(value = "专业认证毕业要求ID")
    private Long requirementId;

    @ApiModelProperty(value = "子节点名称")
    private String subName;

    @ApiModelProperty(value = "指标值")
    private Double content;

    @ApiModelProperty(value = "课程排序值")
    @TableField(exist = false)
    private int courseSortNum;

    @ApiModelProperty(value = "毕业要求排序值")
    @TableField(exist = false)
    private int requirementSortNum;

    public Long getProfessionalId() {
        return professionalId;
    }

    public void setProfessionalId(Long professionalId) {
        this.professionalId = professionalId;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public Long getRequirementId() {
        return requirementId;
    }

    public void setRequirementId(Long requirementId) {
        this.requirementId = requirementId;
    }

    public String getSubName() {
        return subName;
    }

    public void setSubName(String subName) {
        this.subName = subName;
    }

    public Double getContent() {
        return content;
    }

    public void setContent(Double content) {
        this.content = content;
    }

    public int getCourseSortNum() {
        return courseSortNum;
    }

    public void setCourseSortNum(int courseSortNum) {
        this.courseSortNum = courseSortNum;
    }

    public int getRequirementSortNum() {
        return requirementSortNum;
    }

    public void setRequirementSortNum(int requirementSortNum) {
        this.requirementSortNum = requirementSortNum;
    }

    @Override
    public String toString() {
        return "TPMatrix{" +
                ", professionalId=" + professionalId +
                ", courseId=" + courseId +
                ", requirementId=" + requirementId +
                ", subName=" + subName +
                ", content=" + content +
                "}";
    }
}
